VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::SerialStub Class Reference

Remote stub implementation of the Serial API service. More...

Inherits vmware::vcenter::vm::hardware::Serial.

List of all members.

## Public Member Functions
| SerialStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.SerialTypes.Summary > | List (string vm)
| Returns commonly used information about the virtual serial ports belonging to the virtual machine.
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.SerialTypes.Summary > | List (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns commonly used information about the virtual serial ports belonging to the virtual machine.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.SerialTypes.Summary > > | ListAsync (string vm)
| Returns commonly used information about the virtual serial ports belonging to the virtual machine.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.SerialTypes.Summary > > | ListAsync (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns commonly used information about the virtual serial ports belonging to the virtual machine.
vmware.vcenter.vm.hardware.SerialTypes.Info | Get (string vm, string port)
| Returns information about a virtual serial port.
vmware.vcenter.vm.hardware.SerialTypes.Info | Get (string vm, string port, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about a virtual serial port.
global::System.Threading.Tasks.Task < vmware.vcenter.vm.hardware.SerialTypes.Info > | GetAsync (string vm, string port)
| Returns information about a virtual serial port.
global::System.Threading.Tasks.Task < vmware.vcenter.vm.hardware.SerialTypes.Info > | GetAsync (string vm, string port, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about a virtual serial port.
string | Create (string vm, vmware.vcenter.vm.hardware.SerialTypes.CreateSpec spec)
| Adds a virtual serial port to the virtual machine.
string | Create (string vm, vmware.vcenter.vm.hardware.SerialTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Adds a virtual serial port to the virtual machine.
global::System.Threading.Tasks.Task < string > | CreateAsync (string vm, vmware.vcenter.vm.hardware.SerialTypes.CreateSpec spec)
| Adds a virtual serial port to the virtual machine.
global::System.Threading.Tasks.Task < string > | CreateAsync (string vm, vmware.vcenter.vm.hardware.SerialTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Adds a virtual serial port to the virtual machine.
void | Update (string vm, string port, vmware.vcenter.vm.hardware.SerialTypes.UpdateSpec spec)
| Updates the configuration of a virtual serial port.
void | Update (string vm, string port, vmware.vcenter.vm.hardware.SerialTypes.UpdateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the configuration of a virtual serial port.
global::System.Threading.Tasks.Task | UpdateAsync (string vm, string port, vmware.vcenter.vm.hardware.SerialTypes.UpdateSpec spec)
| Updates the configuration of a virtual serial port.
global::System.Threading.Tasks.Task | UpdateAsync (string vm, string port, vmware.vcenter.vm.hardware.SerialTypes.UpdateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the configuration of a virtual serial port.
void | Delete (string vm, string port)
| Removes a virtual serial port from the virtual machine.
void | Delete (string vm, string port, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Removes a virtual serial port from the virtual machine.
global::System.Threading.Tasks.Task | DeleteAsync (string vm, string port)
| Removes a virtual serial port from the virtual machine.
global::System.Threading.Tasks.Task | DeleteAsync (string vm, string port, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Removes a virtual serial port from the virtual machine.
void | Connect (string vm, string port)
| Connects a virtual serial port of a powered-on virtual machine to its backing.
void | Connect (string vm, string port, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Connects a virtual serial port of a powered-on virtual machine to its backing.
global::System.Threading.Tasks.Task | ConnectAsync (string vm, string port)
| Connects a virtual serial port of a powered-on virtual machine to its backing.
global::System.Threading.Tasks.Task | ConnectAsync (string vm, string port, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Connects a virtual serial port of a powered-on virtual machine to its backing.
void | Disconnect (string vm, string port)
| Disconnects a virtual serial port of a powered-on virtual machine from its backing.
void | Disconnect (string vm, string port, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Disconnects a virtual serial port of a powered-on virtual machine from its backing.
global::System.Threading.Tasks.Task | DisconnectAsync (string vm, string port)
| Disconnects a virtual serial port of a powered-on virtual machine from its backing.
global::System.Threading.Tasks.Task | DisconnectAsync (string vm, string port, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Disconnects a virtual serial port of a powered-on virtual machine from its backing.

## Detailed Description

Remote stub implementation of the Serial API service.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::SerialStub::SerialStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

void vmware::vcenter::vm::hardware::SerialStub::Connect | ( | string | vm,
|  | string | port
| ) |  | `[inline]`

Connects a virtual serial port of a powered-on virtual machine to its backing.

Connecting the virtual device makes the backing accessible from the perspective of the guest operating system.

For a powered-off virtual machine, the Serial.Update method may be used to configure the virtual serial port to start in the connected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual serial port is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual serial port is already connected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual serial port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .

Implements vmware::vcenter::vm::hardware::Serial.

void vmware::vcenter::vm::hardware::SerialStub::Connect | ( | string | vm,
|  | string | port,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Connects a virtual serial port of a powered-on virtual machine to its backing.

Connecting the virtual device makes the backing accessible from the perspective of the guest operating system.

For a powered-off virtual machine, the Serial.Update method may be used to configure the virtual serial port to start in the connected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual serial port is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual serial port is already connected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual serial port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Serial.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::SerialStub::ConnectAsync | ( | string | vm,
|  | string | port
| ) |  | `[inline]`

Connects a virtual serial port of a powered-on virtual machine to its backing.

Connecting the virtual device makes the backing accessible from the perspective of the guest operating system.

For a powered-off virtual machine, the Serial.Update method may be used to configure the virtual serial port to start in the connected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual serial port is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual serial port is already connected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual serial port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .

Implements vmware::vcenter::vm::hardware::Serial.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::SerialStub::ConnectAsync | ( | string | vm,
|  | string | port,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Connects a virtual serial port of a powered-on virtual machine to its backing.

Connecting the virtual device makes the backing accessible from the perspective of the guest operating system.

For a powered-off virtual machine, the Serial.Update method may be used to configure the virtual serial port to start in the connected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual serial port is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual serial port is already connected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual serial port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Serial.

string vmware::vcenter::vm::hardware::SerialStub::Create | ( | string | vm,
|  | vmware.vcenter.vm.hardware.SerialTypes.CreateSpec | spec
| ) |  | `[inline]`

Adds a virtual serial port to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the serial port device was created but was unable to confirm the creation because the identifier of the new device could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.UnableToAllocateResource | if the virtual machine already has the maximum number of supported serial ports.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual serial port.

Returns:
  Virtual serial port identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .

Implements vmware::vcenter::vm::hardware::Serial.

string vmware::vcenter::vm::hardware::SerialStub::Create | ( | string | vm,
|  | vmware.vcenter.vm.hardware.SerialTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Adds a virtual serial port to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the serial port device was created but was unable to confirm the creation because the identifier of the new device could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.UnableToAllocateResource | if the virtual machine already has the maximum number of supported serial ports.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual serial port.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Virtual serial port identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .

Implements vmware::vcenter::vm::hardware::Serial.

global::System.Threading.Tasks.Task<string> vmware::vcenter::vm::hardware::SerialStub::CreateAsync | ( | string | vm,
|  | vmware.vcenter.vm.hardware.SerialTypes.CreateSpec | spec
| ) |  | `[inline]`

Adds a virtual serial port to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the serial port device was created but was unable to confirm the creation because the identifier of the new device could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.UnableToAllocateResource | if the virtual machine already has the maximum number of supported serial ports.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual serial port.

Returns:
  Virtual serial port identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .

Implements vmware::vcenter::vm::hardware::Serial.

global::System.Threading.Tasks.Task<string> vmware::vcenter::vm::hardware::SerialStub::CreateAsync | ( | string | vm,
|  | vmware.vcenter.vm.hardware.SerialTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Adds a virtual serial port to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the serial port device was created but was unable to confirm the creation because the identifier of the new device could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.UnableToAllocateResource | if the virtual machine already has the maximum number of supported serial ports.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual serial port.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Virtual serial port identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .

Implements vmware::vcenter::vm::hardware::Serial.

void vmware::vcenter::vm::hardware::SerialStub::Delete | ( | string | vm,
|  | string | port
| ) |  | `[inline]`

Removes a virtual serial port from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual serial port is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual serial port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .

Implements vmware::vcenter::vm::hardware::Serial.

void vmware::vcenter::vm::hardware::SerialStub::Delete | ( | string | vm,
|  | string | port,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Removes a virtual serial port from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual serial port is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual serial port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Serial.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::SerialStub::DeleteAsync | ( | string | vm,
|  | string | port
| ) |  | `[inline]`

Removes a virtual serial port from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual serial port is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual serial port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .

Implements vmware::vcenter::vm::hardware::Serial.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::SerialStub::DeleteAsync | ( | string | vm,
|  | string | port,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Removes a virtual serial port from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual serial port is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual serial port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Serial.

void vmware::vcenter::vm::hardware::SerialStub::Disconnect | ( | string | vm,
|  | string | port
| ) |  | `[inline]`

Disconnects a virtual serial port of a powered-on virtual machine from its backing.

The virtual device is still present and its backing configuration is unchanged, but from the perspective of the guest operating system, the serial port is not connected to its backing.

For a powered-off virtual machine, the Serial.Update method may be used to configure the virtual serial port to start in the disconnected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual serial port is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual serial port is already disconnected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual serial port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .

Implements vmware::vcenter::vm::hardware::Serial.

void vmware::vcenter::vm::hardware::SerialStub::Disconnect | ( | string | vm,
|  | string | port,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Disconnects a virtual serial port of a powered-on virtual machine from its backing.

The virtual device is still present and its backing configuration is unchanged, but from the perspective of the guest operating system, the serial port is not connected to its backing.

For a powered-off virtual machine, the Serial.Update method may be used to configure the virtual serial port to start in the disconnected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual serial port is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual serial port is already disconnected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual serial port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Serial.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::SerialStub::DisconnectAsync | ( | string | vm,
|  | string | port
| ) |  | `[inline]`

Disconnects a virtual serial port of a powered-on virtual machine from its backing.

The virtual device is still present and its backing configuration is unchanged, but from the perspective of the guest operating system, the serial port is not connected to its backing.

For a powered-off virtual machine, the Serial.Update method may be used to configure the virtual serial port to start in the disconnected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual serial port is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual serial port is already disconnected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual serial port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .

Implements vmware::vcenter::vm::hardware::Serial.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::SerialStub::DisconnectAsync | ( | string | vm,
|  | string | port,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Disconnects a virtual serial port of a powered-on virtual machine from its backing.

The virtual device is still present and its backing configuration is unchanged, but from the perspective of the guest operating system, the serial port is not connected to its backing.

For a powered-off virtual machine, the Serial.Update method may be used to configure the virtual serial port to start in the disconnected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual serial port is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual serial port is already disconnected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual serial port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Serial.

vmware.vcenter.vm.hardware.SerialTypes.Info vmware::vcenter::vm::hardware::SerialStub::Get | ( | string | vm,
|  | string | port,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns information about a virtual serial port.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual serial port is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual serial port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the specified virtual serial port.

Implements vmware::vcenter::vm::hardware::Serial.

vmware.vcenter.vm.hardware.SerialTypes.Info vmware::vcenter::vm::hardware::SerialStub::Get | ( | string | vm,
|  | string | port
| ) |  | `[inline]`

Returns information about a virtual serial port.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual serial port is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual serial port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .

Returns:
  Information about the specified virtual serial port.

Implements vmware::vcenter::vm::hardware::Serial.

global::System.Threading.Tasks.Task<vmware.vcenter.vm.hardware.SerialTypes.Info> vmware::vcenter::vm::hardware::SerialStub::GetAsync | ( | string | vm,
|  | string | port,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns information about a virtual serial port.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual serial port is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual serial port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the specified virtual serial port.

Implements vmware::vcenter::vm::hardware::Serial.

global::System.Threading.Tasks.Task<vmware.vcenter.vm.hardware.SerialTypes.Info> vmware::vcenter::vm::hardware::SerialStub::GetAsync | ( | string | vm,
|  | string | port
| ) |  | `[inline]`

Returns information about a virtual serial port.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual serial port is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual serial port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .

Returns:
  Information about the specified virtual serial port.

Implements vmware::vcenter::vm::hardware::Serial.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.SerialTypes.Summary> vmware::vcenter::vm::hardware::SerialStub::List | ( | string | vm | ) | `[inline]`

Returns commonly used information about the virtual serial ports belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  List of commonly used information about virtual serial ports.

Implements vmware::vcenter::vm::hardware::Serial.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.SerialTypes.Summary> vmware::vcenter::vm::hardware::SerialStub::List | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns commonly used information about the virtual serial ports belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  List of commonly used information about virtual serial ports.

Implements vmware::vcenter::vm::hardware::Serial.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.SerialTypes.Summary> > vmware::vcenter::vm::hardware::SerialStub::ListAsync | ( | string | vm | ) | `[inline]`

Returns commonly used information about the virtual serial ports belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  List of commonly used information about virtual serial ports.

Implements vmware::vcenter::vm::hardware::Serial.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.SerialTypes.Summary> > vmware::vcenter::vm::hardware::SerialStub::ListAsync | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns commonly used information about the virtual serial ports belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  List of commonly used information about virtual serial ports.

Implements vmware::vcenter::vm::hardware::Serial.

void vmware::vcenter::vm::hardware::SerialStub::Update | ( | string | vm,
|  | string | port,
|  | vmware.vcenter.vm.hardware.SerialTypes.UpdateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Updates the configuration of a virtual serial port.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual serial port is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual serial port.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual serial port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .
  spec | Specification for updating the virtual serial port.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Serial.

void vmware::vcenter::vm::hardware::SerialStub::Update | ( | string | vm,
|  | string | port,
|  | vmware.vcenter.vm.hardware.SerialTypes.UpdateSpec | spec
| ) |  | `[inline]`

Updates the configuration of a virtual serial port.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual serial port is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual serial port.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual serial port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .
  spec | Specification for updating the virtual serial port.

Implements vmware::vcenter::vm::hardware::Serial.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::SerialStub::UpdateAsync | ( | string | vm,
|  | string | port,
|  | vmware.vcenter.vm.hardware.SerialTypes.UpdateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Updates the configuration of a virtual serial port.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual serial port is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual serial port.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual serial port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .
  spec | Specification for updating the virtual serial port.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Serial.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::SerialStub::UpdateAsync | ( | string | vm,
|  | string | port,
|  | vmware.vcenter.vm.hardware.SerialTypes.UpdateSpec | spec
| ) |  | `[inline]`

Updates the configuration of a virtual serial port.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual serial port is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual serial port.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual serial port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .
  spec | Specification for updating the virtual serial port.

Implements vmware::vcenter::vm::hardware::Serial.

The documentation for this class was generated from the following file:

- SerialStub.cs